UnmappableCharacterException (Java SE 13 & JDK 13 )
Description: declaration: module: java.base, package: java.nio.charset, class: UnmappableCharacterException
Keywords: java.nio.charset.UnmappableCharacterException class

Module java.base
Package java.nio.charset

# Class UnmappableCharacterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.charset.CharacterCodingException
java.nio.charset.UnmappableCharacterException

All Implemented Interfaces:
  `Serializable`

    public class UnmappableCharacterException
    extends CharacterCodingException

Checked exception thrown when an input character (or byte) sequence is valid but cannot be mapped to an output byte (or character) sequence.

Since:
  1.4
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UnmappableCharacterException​(int inputLength)` | Constructs an `UnmappableCharacterException` with the given length.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getInputLength()` | Returns the length of the input.
  `String` | `getMessage()` | Returns the message.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnmappableCharacterException

    public UnmappableCharacterException​(int inputLength)
    Constructs an `UnmappableCharacterException` with the given length.
    Parameters:
      `inputLength` - the length of the input

- ## Method Details

  - ### getInputLength

    public int getInputLength()
    Returns the length of the input.
    Returns:
      the length of the input

  - ### getMessage

    public String getMessage()
    Returns the message.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      the message